> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md).

# ImageFormat

Namespace: **System.Drawing.Imaging**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the file format of the image. Not inheritable.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ImageFormat
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ImageFormat
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/gN3G3VR5GgQngV3jdnfJ) ImageFormat(guid)

Initializes a new instance of the [ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md) class with the specified GUID.

| Name     | Type                                                      | Description                                                           |
| -------- | --------------------------------------------------------- | --------------------------------------------------------------------- |
| **guid** | [Guid](https://docs.microsoft.com/dotnet/api/system.guid) | The [Guid](#guid) structure that specifies a particular image format. |

## Properties

### ![](/files/eguYxwyd6jAtQFHRrmJW) Bmp

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the bitmap image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Emf

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the enhanced Windows metafile image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Exif

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the Exchangeable Image Format (EXIF).

### ![](/files/eguYxwyd6jAtQFHRrmJW) Gif

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the GIF image format.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Guid

[Guid](https://docs.microsoft.com/dotnet/api/system.guid): Gets the a global unique identifier (GUID) that represents this [ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md).

### ![](/files/eguYxwyd6jAtQFHRrmJW) Icon

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the Windows icon image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Jpeg

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the JPEG image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) MemoryBmp

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the a memory bitmap image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Png

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the W3C PNG image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Tiff

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the Tag Image File Format (TIFF) image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Webp

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the Windows icon image format.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Wmf

[ImageFormat](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md): Gets the Windows metafile image format.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imageformat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
